cdac.medinfo.model

## Class EffectiveDateTime

- java.lang.Object
- - cdac.medinfo.model.EffectiveDateTime

-     public class EffectiveDateTime
      extends java.lang.Object

  This class specify Effective Time or Date Details.

  This class has the following attributes:

  1. low (String)
  2. high (String)
  3. center (String)
  4. width (String)
  5. value (String)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EffectiveDateTime()` Constructs an object of EffectiveDateTime.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCenter()` Returns the Center.
    `java.lang.String` | `getHigh()` Returns the High.
    `java.lang.String` | `getLow()` Returns the Low.
    `java.lang.String` | `getValue()` Returns the Value of Effective date/time.
    `java.lang.String` | `getWidth()` Returns the Width.
    `void` | `setCenter(java.lang.String center)` Sets the Center
    `void` | `setHigh(java.lang.String high)` Sets the High.
    `void` | `setLow(java.lang.String low)` Sets the Low.
    `void` | `setValue(java.lang.String value)` Sets the Value of Effective date/time.
    `void` | `setWidth(java.lang.String width)` Sets the Width

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EffectiveDateTime

          public EffectiveDateTime()

      Constructs an object of EffectiveDateTime.

  - ### Method Detail

    - #### getLow

          public java.lang.String getLow()

      Returns the Low.
      Returns:
        the low value of effective date/Time

    - #### setLow

          public void setLow(java.lang.String low)

      Sets the Low.
      Parameters:
        `low` - Specifies the low value of effective date/Time

    - #### getHigh

          public java.lang.String getHigh()

      Returns the High.
      Returns:
        the high value of effective date/Time

    - #### setHigh

          public void setHigh(java.lang.String high)

      Sets the High.
      Parameters:
        `high` - Specifies the high value of effective date/Time

    - #### getCenter

          public java.lang.String getCenter()

      Returns the Center.
      Returns:
        the center or arithmetic mean of low and high effective date/Time

    - #### setCenter

          public void setCenter(java.lang.String center)

      Sets the Center
      Parameters:
        `center` - Specifies the center or arithmetic mean of low and high effective date/Time

    - #### getWidth

          public java.lang.String getWidth()

      Returns the Width.
      Returns:
        the width the difference between high and low boundary

    - #### setWidth

          public void setWidth(java.lang.String width)

      Sets the Width
      Parameters:
        `width` - Specifies the difference between high and low boundary

    - #### getValue

          public java.lang.String getValue()

      Returns the Value of Effective date/time.
      Returns:
        the value of effective date/time if low, high, center, width is unknown

    - #### setValue

          public void setValue(java.lang.String value)

      Sets the Value of Effective date/time.
      Parameters:
        `value` - Specifies the value to set effective date/time if low, high, center, width is unknown